
Redmine - Defect #6612

SortHelper missing from CalendarsController

2010-10-08 22:04 - Felix Schäfer

Status: Closed Start date: 2010-10-08

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Calendar Estimated time: 0.00 hour

Target version: 1.0.3   

Resolution: Fixed Affected version:  

Description

I just tried to show a calendar with a custom query, so something like: http://my.redmi.ne/issues/calendar?query_id=13, which causes

redmine to quit on a:

NameError (undefined local variable or method `sort_clear' for #<CalendarsController:0x7f4400887b1

0>):

  app/helpers/queries_helper.rb:75:in `retrieve_query'

  app/controllers/calendars_controller.rb:23:in `show'

 The solution is to include SortHelper in CalendarsController.

Associated revisions

Revision 4245 - 2010-10-10 23:17 - Eric Davis

Add SortHelper so custom queries will run on the Calendar. #6612

History

#1 - 2010-10-09 02:14 - Eric Davis

- Target version set to 1.0.3

Thanks, I'll fix that.

#2 - 2010-10-10 23:12 - Eric Davis

- Category set to Calendar

- Status changed from New to Resolved

- % Done changed from 0 to 100

- Resolution set to Fixed

Fixed in r4245 and added a test case.

#3 - 2010-10-11 18:10 - Mischa The Evil

Eric Davis wrote:

Target version set to 1.0.3

 Shouldn't this be targetted to 1.1.0?

#4 - 2010-10-11 19:02 - Eric Davis

Mischa The Evil wrote:

Shouldn't this be targetted to 1.1.0?

 No, CalendarsController was refactored in the 1.0.x branch too.

#5 - 2010-10-12 00:29 - Mischa The Evil

Eric Davis wrote:
https://www.redmine.org/projects/redmine/repository/svn/revisions/4245
https://www.redmine.org/versions/20
https://www.redmine.org/versions/20
http://www.redmine.org/projects/redmine/repository/entry/branches/1.0-stable/app/controllers/calendars_controller.rb


Mischa The Evil wrote:

Shouldn't this be targetted to 1.1.0?

 No, CalendarsController was refactored in the 1.0.x branch too.

 ACK ;)

#6 - 2010-11-01 01:22 - Eric Davis

- Status changed from Resolved to Closed

Merged into 1.0-stable for release in 1.0.3
